#ifndef GRAF
#define GRAF

/* This header file is intended for users of a C-Postscript graphics
package.  It defines data structures the user needs to interface with the
graphics package. */

#ifndef BOOLDEF
#define BOOLDEF
typedef int Bool;
enum{False,True};
#endif

typedef struct WindowParams WindowParams;
typedef struct CurvePoint CurvePoint;
typedef struct TickDescr TickDescr;

struct CurvePoint{
  float x;
  float y;
};


struct WindowParams{
  double xwind;
  double ywind;
  double dxwind;
  double dywind;
  double xuser;
  double yuser;
  double dxuser;
  double dyuser;
  int    xlinlog;
  int    ylinlog;
};

struct TickDescr{
  double       value;         /* Value or log value of tick */
  int          minmajsw;      /* 0=minor, 1=major tick */
  TickDescr *chain;
};

#endif

