#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "GraphicsCom.c"
#include "Graf.h"
#include "grafprot.h"

/* Call this function to initialize a new page of outputm call
  EndPage to end it.  

  Parameter lsw is a landscape switch, 0=normal, 1=landscape.  In
  either case, the origin of the paper is the lower left corner.
*/


void NewPage(int lsw)
{
  double scale;

  if(lsw<0 || lsw>1){
    fprintf(stderr,"NewPage: Invalid param\n");
    return;
  }

  /* Generate %%Page: comment */

  ++G.pagecnt;
  fprintf(G.psfile,"%%%%Page: %d %d\n",G.pagecnt,G.pagecnt);
  fprintf(G.psfile,"save\n");

  /* Change units from 1/72 (default PS units) to 1/300 inch */
 
  scale=72.0/G.conv;
  fprintf(G.psfile,"%8.5f %8.5f scale\n",scale,scale);
  
  G.landscap=lsw;

  /* In landscape mode, shift to lower right corner of page and
     rotate, except if TeX \special command being used, then skip the
     shift. */

  if(lsw){
    if(!G.ispcsw){
      fprintf(G.psfile,"%d 0 translate\n",nint(8.5*G.conv));
    }
    fprintf(G.psfile,"90 rotate\n");
  }
}
