#define OPEN_GRAPHICS

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "GraphicsCom.c"
#include "Graf.h"
#include "grafprot.h"

/* Returns 0 for successful open, 1 otherwise. Parameters bbright,
   bbtop are the UR coordinates of the bounding box, measured in
   inches.  */

int OpenGraphics(double bbright, double bbtop)
{
  int ibbright,ibbtop;

  /* Initialize common data */

  G.conv=300.0;
  G.ncopies=1;
  G.frmfnt=1.0;
  G.icurfnt=0;
  G.ifontsz=0;
  G.ispcsw=False;
  G.spcscale=1.0;
  G.gray=0.0;
  G.beziersw=True;
  G.pagecnt=0;

  /* Invalid values cause first test to generate postscript to set
     parameters. */

  G.linwid=-1;
  G.linecap=-1;
  G.linejoin=-1;

  if((G.psfile=fopen(G.gfnam,"w"))==NULL){
    fprintf(stderr,"Error opening file %s\n",G.gfnam);
    return(1);
  }
  fprintf(G.psfile,"%%!PS-Adobe-3.0\n");

  ibbright=nint(bbright*72.0);
  ibbtop=nint(bbtop*72.0);

  fprintf(G.psfile,"%%%%BoundingBox: 0 0 %d %d\n",ibbright,ibbtop);
  fprintf(G.psfile,"%%%%Creator: Robert's graf package\n");
  fprintf(G.psfile,"%%%%PageOrder: Ascend\n");
  /* fprintf(G.psfile,"%%%%DocumentPaperSizes: Letter\n"); */
  fprintf(G.psfile,"%%%%EndComments\n");
  fprintf(G.psfile,"%%%%BeginResource: procset graf.pro 1.0 1\n");
  fprintf(G.psfile,"/avg {add 2 div} def\n");
  fprintf(G.psfile,"%%%%EndResource\n");
  fprintf(G.psfile,"%%%%BeginResource: procset graf1.pro 1.0 1\n");

  fprintf(G.psfile,"/strhd {\n");
  fprintf(G.psfile,"  /strhdstr exch def /strhdd 0 def /strhdh 0 def "
                   "/strhdc 1 string def\n");
  fprintf(G.psfile,"  currentpoint\n");
  fprintf(G.psfile,"  0 1 strhdstr length 1 sub\n");
  fprintf(G.psfile,"    {strhdc 0 strhdstr 4 -1 roll get put\n");
  fprintf(G.psfile,"    newpath 0 0 moveto strhdc true charpath flattenpath "
                   "pathbbox\n");
  fprintf(G.psfile,"    dup strhdh gt {/strhdh exch def} {pop} ifelse pop\n");
  fprintf(G.psfile,"    dup strhdd lt {/strhdd exch def} {pop} ifelse pop}\n");
  fprintf(G.psfile,"  for moveto\n");
  fprintf(G.psfile,"  currentpoint exch pop dup strhdd add exch strhdh add} "
                   "def\n");
  
  fprintf(G.psfile,"%%%%EndResource\n");
  fprintf(G.psfile,"%%%%EndProlog\n");
  
  return(0);
}



  
