#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "wallprot.h"

/* Generate a pair of Gaussian random numbers (x,y), distributed according to
   
   rho(x,y) = (1/2*pi) exp(-(x^2+y^2)/2)

*/

void gaurand(double *xp, double *yp)
{
  double r,t,theta,rmax;

  rmax=RAND_MAX;
  rmax+=1.0;

  do{
    t=rand();
    t=t/rmax;
  }while(t<0.0 || t>=1.0);

  r=sqrt(-2.0*log(1.0-t));
  
  do{
    t=rand();
    t=t/rmax;
  }while(t<0.0 || t>=1.0);

  theta=2.0*M_PI*t;

  *xp=r*cos(theta);
  *yp=r*sin(theta);
}
