#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "wallprot.h"
#include "grafprot.h"


static double xright,ytop;

static void frameit(int iframe);

int main()
{
  int nframes,iframe;
     


  nframes=6*25;
  xright=1.66;
  ytop=1.66;

  for(iframe=0;iframe<=nframes;++iframe)
    frameit(iframe);
  exit(0);

}

static void frameit(int iframe)
{
  static char filename[20];

  sprintf(filename,"frames/%04d.ps",iframe);
  SetGraphicsFileName(filename);
  if(OpenGraphics(15.0,11.0)==1){
    printf("Can't open graphics file %d\n",iframe);
    exit(1);
  }
  NewPage(0);
  SetFiducial(0.5,0.5,6.0);
  SetWindow(0.0,xright,0.0,ytop, 0,0.0,xright, 0,0.0,ytop);
  SetBezier(0);
  SetLineWidth(5);
  SetFont(0,0.1);
  DrawText(7.5,7.0,0.0, 2,1,1, False,"Red and Blue Atoms");
  DrawText(7.5,6.0,0.0, 2,1,1, False,"Make Molecules");

  EndPage();
  CloseGraphics();
}
